CVE-2017-11104

NameCVE-2017-11104
DescriptionKnot DNS before 2.4.5 and 2.5.x before 2.5.2 contains a flaw within the TSIG protocol implementation that would allow an attacker with a valid key name and algorithm to bypass TSIG authentication if no additional ACL restrictions are set, because of an improper TSIG validity period check.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3910-1
NVD severitymedium (attack range: remote)
Debian Bugs865678

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
knot (PTS)jessie (security), jessie1.6.0-1+deb8u1fixed
stretch (security), stretch2.4.0-3+deb9u1fixed
buster, sid2.6.3-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
knotsource(unstable)2.5.3-1medium865678
knotsourcejessie1.6.0-1+deb8u1mediumDSA-3910-1
knotsourcestretch2.4.0-3+deb9u1mediumDSA-3910-1

Notes

https://lists.nic.cz/pipermail/knot-dns-users/2017-June/001144.html
http://www.synacktiv.ninja/ressources/Knot_DNS_TSIG_Signature_Forgery.pdf

Search for package or bug name: Reporting problems